Create spending intent (auto-evaluates policy)
curl --request POST \
--url https://api.getovra.com/intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"purpose": "<string>",
"expectedAmount": 1,
"expectedAmountEuros": 1,
"expectedMerchant": "<string>",
"clientIntentId": "<string>",
"ttlMinutes": 21600
}
'import requests
url = "https://api.getovra.com/intents"
payload = {
"agentId": "<string>",
"purpose": "<string>",
"expectedAmount": 1,
"expectedAmountEuros": 1,
"expectedMerchant": "<string>",
"clientIntentId": "<string>",
"ttlMinutes": 21600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '<string>',
purpose: '<string>',
expectedAmount: 1,
expectedAmountEuros: 1,
expectedMerchant: '<string>',
clientIntentId: '<string>',
ttlMinutes: 21600
})
};
fetch('https://api.getovra.com/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agentId": "<string>",
"purpose": "<string>",
"expectedAmountEuros": 123,
"expectedMerchant": "<string>",
"status": "approved",
"recurring": {},
"expiresAt": "2023-11-07T05:31:56Z",
"cardId": "<string>",
"policyCheck": {
"allowed": true,
"requiresApproval": true,
"reason": "<string>"
},
"clientIntentId": "<string>",
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Intents
Create spending intent (auto-evaluates policy)
POST
/
intents
Create spending intent (auto-evaluates policy)
Authorizations
API key (sk_sandbox_* / sk_test_* / sk_live_*) or Agent token (at_* / at_dlg_*)
Headers
Unique key for idempotent request handling
Body
application/json
Minimum string length:
1Minimum string length:
1Required range:
x >= 0Required range:
x >= 0Client-generated idempotency key for intent deduplication
Maximum string length:
64Time-to-live in minutes (max 30 days). Default 1440 (24h).
Required range:
1 <= x <= 43200Show child attributes
Show child attributes
Response
Intent created with policy evaluation result
Available options:
approved, pending_approval, failed, denied, cancelled, completed, expired Show child attributes
Show child attributes
⌘I
